import type { ExecOptions } from '../../../util/exec/types';
import type { PackageFileContent, UpdateArtifactsConfig } from '../types';
import type { DependencyBetweenFiles, GetRegistryUrlVarsResult, PipCompileArgs } from './types';
export declare function getPythonConstraint(config: UpdateArtifactsConfig): string | undefined | null;
export declare function getPipToolsConstraint(config: UpdateArtifactsConfig): string;
export declare function getExecOptions(config: UpdateArtifactsConfig, inputFileName: string, extraEnv: Record<string, string>): Promise<ExecOptions>;
export declare const constraintLineRegex: RegExp;
export declare const disallowedPipOptions: string[];
export declare const optionsWithArguments: string[];
export declare const allowedPipOptions: string[];
export declare function extractHeaderCommand(content: string, fileName: string): PipCompileArgs;
export declare function generateMermaidGraph(depsBetweenFiles: DependencyBetweenFiles[], lockFileArgs: Map<string, PipCompileArgs>): string;
export declare function getRegistryUrlVarsFromPackageFile(packageFile: PackageFileContent | null): GetRegistryUrlVarsResult;
